'use strict';if(window.webhelp===undefined)window.webhelp={};window.webhelp.toc=[{"title":"About this Guide","url":"g_about_this_guide.html","description":"This preface describes the 5G User Plane Function Guide, how it is organized and its document conventions. This guide describes the Cisco User Plane Function (UPF) and includes infrastructure and int","children":[{"title":"Conventions Used","url":"r_conventions_used.html","description":"The following tables describe the conventions used throughout this documentation. Notice Type Description Information Note Provides information about important features or instructions. Caution Alert"}]},{"title":"5G Architecture","url":"g_5g-architecture-wrapper.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7.html","description":"Summary Data Applicable Product(s) or FunctionalArea SMF Applicable Platform(s) SMI Feature Default Setting Not Applicable Related Changes in this Release Not Applicable Related Documentation Not App"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12.html","description":"Revision History Revision Details Release First introduced. Pre-2020.02.0"}]},{"title":"Overview","url":"r_overview.html","description":"The Ultra Cloud Core is Cisco\u0027s solution supporting 3GPP\u0027s standards for 5G new radio (NR) standalone (SA) mode. These standards define various network functions (NFs) based on the separation of cont","children":[{"title":"Control Plane NFs","url":"r_control_plane_nfs.html","description":"The CP-related NFs that comprise the Ultra Cloud Core are based on a common architecture designed around the following tenants: Cloud-scale \u2014 Fully virtualized for simplicity, speed, and flexibility "},{"title":"User Plane NF","url":"r_user_plane_nf.html","description":"The 5G UP NF within the Ultra Cloud Core is the User Plane Function. Unlike the CP-related NFs, the 5G UPF is leverages the same Vector Packet Processing (VPP) technology currently in use by the user"}]},{"title":"Subscriber Microservices Infrastructure Architecture","url":"r_subscriber_microservices_infrastructure_architecture.html","description":"The Ultra Cloud Core Subscriber Microservices Infrastructure (SMI) is a layered stack of cloud technologies that enable the rapid deployment of, and seamless life cycle operations for microservices-b"},{"title":"Control Plane Network Function Architecture","url":"r_control_plane_network_function_architecture.html","description":"CP NFs are designed around a three-tiered architecture that take advantage of the stateful/stateless capabilities afforded within cloud native environments. The architectural tiers are as follows: Pr"}]},{"title":"5G-UPF Overview","url":"g_upf_overview.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6.html","children":[{"title":"Summary Data","url":"r_summary_data.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingDisabled \u2013 License RequiredRelated Changes in this ReleaseNot Applicable Related Documen"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Revision History Revision Details Release First introduced.2020.02.0"}]},{"title":"Product Description","url":"r_product_description.html","description":"The User Plane Function (UPF) is one of the network functions (NFs) of the 5G core network (5GC). The UPF is responsible for packet routing and forwarding, packet inspection, QoS handling, and extern"},{"title":"Use Cases and Features","url":"r_use_cases_and_features.html","children":[{"title":"Configuration and Deployment Requirement for UPF","url":"r_configuration-deployment-requirement-for-upf.html","description":"With 5G deployment, interoperability is required between Cisco UPF with non-Cisco SMF, and Cisco SMF with non-Cisco UPF. Also, decoupling of configuration-related messaging between SMF and UPF has th"},{"title":"Anchor Point for Intra-RAT and Inter-RAT Mobility","url":"r_anchor-point-for-intra-inter-rat-mobility.html","description":"The UPF is the anchor point between the mobile infrastructure and the Data Network (DN). That is, the encapsulation and decapsulation of GPRS Tunneling Protocol for the User Plane (GTP-U). Intra-RAT "},{"title":"External PDU Session Point of Interconnect to Data Network","url":"r_external-pdu-session-point-of-interconnect-to-data-network.html","description":"The UPF acts as an external PDU session point of interconnect to Data Network and supports N3, N4, and N6 interfaces. The PDU layer corresponds to the PDU that is transported between the UE and the P"},{"title":"Packet Inspection","url":"r_packet-inspection.html","description":"The Cisco UPF performs L3/L4 and L7 inspection for the user traffic that is received. L3/L4 inspection involves IP-address/port matching and Deep Packet Inspection involves matching of L7 header fiel"},{"title":"User Plane Part of Policy Rule Enforcement","url":"r_user-plane-part-of-policy-rule-enforcement.html","description":"Cisco UPF provides different enforcement mechanisms based on policy received from the SMF. The UPF is the boundary between the Access and IP domains and is the ideal location to implement policy-base"},{"title":"Lawful Intercept","url":"r_lawful-intercept.html","description":"Lawful Interception (LI) enables a LEA to perform electronic surveillance on an individual (a target) as authorized by a judicial or administrative order. To facilitate the lawful intercept process, "},{"title":"Traffic Usage Reporting (Charging)","url":"r_traffic-usage-reporting-charging.html","description":"The usage measurement and reporting function in UPF is controlled by the SMF. The SMF controls these functions by: Creating the necessary PDRs to represent the service data flow, application, bearer "},{"title":"QoS Handling for User Plane","url":"r_qos-handling-for-user-plane.html","description":"The 5G QoS model allow classification and differentiation of specific services, based on subscription-related and invocation-related priority mechanisms. These mechanisms provide abilities such as in"},{"title":"Downlink Packet Buffering and Data Notification Triggering","url":"r_downlink-packet-buffering.html","description":"A Buffering Action Rule (BAR) provides instructions to control the buffering behavior of the UPF. The BAR controls the buffering behavior for all Forwarding Action Rules (FARs) of the Packet Forwardi"},{"title":"Forwarding End Markers to the Source NG-RAN Node","url":"r_end-markerto-the-source-ng-ran-node.html","description":"At the time of the handover procedure, the PDU session for the UE \u2013 which comprises of UPF node \u2013 acts as a PDU session anchor and an intermediate UPF terminating N3 reference point. The SMF sends an"}]},{"title":"Deployment Architecture and Interfaces","url":"r_deployment_architecture_and_interfaces.html","description":"Cisco UPF is part of the 5GC network functions portfolio (AMF/SMF/NRF/PCF/NSSF/UPF) with a common Mobile Core Platform architecture.","children":[{"title":"UPF Architecture","url":"r_upf_architecture.html","description":"The User Plane Function (UPF) is a fundamental component of a 3GPP 5G core infrastructure system architecture. The UPF represents the data plane evolution of a Control and User Plane Separation (CUPS"},{"title":"UPF Deployment","url":"r_upf_deployment.html","description":"The following diagram illustrates, at a high-level, the deployment architecture of UPF along with other NFs. Virtualized Packet Core\u2014Single Instance (VPC-SI) VPC-SI consolidates the operations of phy"},{"title":"Supported Interfaces","url":"r_supported_interfaces.html","description":"This section describes the interfaces supported between the UPF and other network functions in 5GC. N3: Interface between the RAN (gNB) and the (initial) UPF; compliant with 3GPP TS 29.281 and 3GPP T"}]},{"title":"License Information","url":"r_license_information.html","description":"The UPF require specific license(s). Contact your Cisco account representative for more information on how to obtain a license."},{"title":"Standards Compliance","url":"r_standards_compliance_2_3.html","description":"Cisco UPF complies with the following standards: Interface between the Control Plane and the User Plane Nodes: 3GPP TS 29.244 version 15.4.0. (December-2018) General Packet Radio System (GPRS) Tunnel"}]},{"title":"Features and Functionality","url":"g_part1-upf.html","children":[{"title":"UPF 1:1 Redundancy","url":"g_upf-1-1-redundancy.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision_history.html","description":"Revision DetailsReleaseFirst introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9.html","description":"The 1:1 UPF Redundancy feature, for 5G deployment, supports the detection of a failed User Plane Function (UPF) and seamlessly handles the functions of the failed UPF. Each of the Active UPF has a de"},{"title":"How it Works","url":"r_how-it-works.html","description":"The 5G-UPF deployment leverages the ICSR framework infrastructure for checkpointing and switchover of the UPF node as shown in the following figure. The Active UPF communicates to its dedicated Stand"},{"title":"Configuring 1:1 UPF Redundancy","url":"r_configuring_4gcups_1_1_up_redundancy.html","description":"The following sections provide information about the CLI commands available in support of the feature.","children":[{"title":"Configuring BFD Monitoring Between Active UPF and Standby UPF","url":"r_configuring_bfd_monitor_on_active_standby_up.html","description":"Use the following configuration to configure Bidirectional Forwarding Detection (BFD) monitoring on the Active UPF and Standby UPF. configure context context_name service-redundancy-protocol [ no ] m"},{"title":"Configuring BGP Status Monitoring Between Each UP and Next-Hop Router","url":"r_configuring_bgp_monitoring_on_active_standby_up.html","description":"Use the following commands to configure Border Gateway Protocol (BGP) monitoring between each UP and next-hop router. This command is configured in the SRP Configuration Mode. configure context conte"},{"title":"Configuring Sx/N4 Monitoring on the Active UPF and Standby UPF","url":"r_configuring_sx_monitor.html","description":"Use the following configuration to configure Sx/N4 monitoring on the Active UPF and Standby UPF. configure context context_name service-redundancy-protocol [ no ] monitor sx [ { context context_name "},{"title":"Configuring VPP Monitor on Active UPF and Standby UPF","url":"r_configuring_vpp_monitor_on_active_standby_ups.html","description":"Use the following configuration to configure Vector Packet Processing (VPP) monitor to trigger UPF switchover on the Active UPF if VPP goes down. configure context context_name service-redundancy-pro"},{"title":"Preventing User Plane Switchback","url":"r_preventing_up_switchback.html","description":"Use the following configuration to prevent the switchback of the new Standby UPF to Active state again due to Sx/N4 monitor failure in the new Active. configure context context_name service-redundanc"},{"title":"Resetting Sx/N4 Monitor Failure","url":"r_resetting_sx_monitor_failure.html","description":"Use the following configuration only on the Standby chassis to reset the Service Redundancy Protocol (SRP) Sx/N4 monitor failure information. This command is configured in the Exec Mode. srp reset-sx"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting_2_3.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show-commands-and-or-outputs.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature.","children":[{"title":"show srp monitor bfd","url":"r_show_srp_monitor_bfd.html","description":"The output of this CLI command contains the following fields in support of BFD monitor status: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) - VPP State: (I) - "},{"title":"show srp monitor bgp","url":"r_show_srp_monitor_bgp.html","description":"The output of this CLI command contains the following fields in support of BGP monitor status: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) - VPP (S) - Sx Stat"},{"title":"show srp monitor sx","url":"r_show_srp_monitor_sx.html","description":"The output of this CLI command contains the following fields in support of Sx/N4 monitor status: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) \u2013 VPP (S) - SX St"},{"title":"show srp monitor vpp","url":"r_show_srp_monitor_vpp.html","description":"The output of this CLI command contains the following fields in support of VPP monitor status: Type: (A) - Auth. probe (B) - BGP (D) - Diameter (F) - BFD (E) - EGQC (C) - Card (V) - VPP State: (I) - "}]}]}]},{"title":"APN ACL Support","url":"g_apn_acl_support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10.html","description":"Summary Data Applicable Product (s) or Functional Area 5G-UPF Applicable Platforms VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documentat"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11.html","description":"Revision History Revision Details Release First Introduced 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"IP Access Lists commonly known as Access Control Lists (ACLs) control the flow of packets into and out of the system. The configuration is per-context basis and consists of rules (ACL rules) or filte"},{"title":"IP Source Violation","url":"r_ip_source_violation.html","description":"Source validation requires the source address of incoming packets to match the IP address of the subscriber during the session. This allows operators to configure the network to prevent problems when"},{"title":"Gating Control","url":"r_gating_control.html","description":"Gating Control in the UPF enables or disables the forwarding of IP packets belonging to a service data flow or detected application\u0027s traffic to pass through to the desired endpoint. See 3GPP TS 23.2"}]},{"title":"Bulk Statistics Support","url":"g_f4561.html","children":[{"title":"Feature Description","url":"r_feature_description_f4561.html","description":"This chapter identifies bulk statistic schemas for the Cisco Ultra Cloud 5G User Plane Function (UPF) software release. Bulk statistics is a collection of software features and framework that collect"}]},{"title":"Collection and Reporting of Usage Data over N4 Interface","url":"g_collection_and_reporting_of_usage_data_collection_over_n4.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision_history_2.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12.html","description":"With this release, the User Plane Function (UPF) supports offline charging and reporting of usage data over the N4 interface. Here, the SMF controls the collection and reporting of usage data by crea"},{"title":"How it Works","url":"r_how_it_works_2.html","description":"This section describes how UPF supports offline charging of usage data. To implement offline charging, the charging information is sent to the SMF only during PFCP session deletion. Time and volume-b","children":[{"title":"Standards Compliance","url":"r_standards_compliance_2_3_4.html","description":"UPF support for collection and reporting of data is compliant with the following standards: 3GPP TS 29.244 - LTE; Interface between the Control Plane and the User Plane of EPC Nodes 3GPP TS 23.501 - "}]},{"title":"Configuration to Collect and Report Volume Measurement over N4 Interface","url":"r_configuration_to_collect_and_report_volume_measurement_over_n4_interface.html","description":"This section describes the configuration required to collect and report volume measurement (usage data). However, to achieve this, SMF-based configurations for volume measurement needs to be configur","children":[{"title":"Configuring Charging Action for a Required Billing Action","url":"r_configuring_charging_action_for_a_required_billing_action.html","description":"Use the following configuration to configure charging-action for a required billing-action: configure require active-charging active-charging service service_name charging-action charging_action_name"},{"title":"Associating a Charging Action with a Rulebase","url":"r_associating_a_charging_action_with_a_rulebase.html","description":"Use the following configuration to associate a charging action with a rulebase: configure require active-charging active-charging service service_name rulebase rulebase_name billing-records interface"}]}]},{"title":"Control Plane-Initiated N4 Association Support","url":"g_upf_control_plane_initiated_n4_association_support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated Do"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9.html","description":"Revision HistoryRevision DetailsReleaseFirst Introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10.html","children":[{"title":"SMF initiated N4 Association Setup Procedure","url":"r_session_management_initiated_n4_association_setup_procedure.html","description":"The N4 association set up procedure sets up an N4 association between the Session Management Function (SMF) and User Plane Function (UPF). It enables the SMF to use the UPF resources to establish the"}]},{"title":"How it Works","url":"r_how_it_works_2_3_4_5.html","description":"The N4 association setup is initiated by the SMF. The setting of N4 association setup procedure is controlled through sx-association initiated-by-cp CLI command in the Control Plane Group Configurati","children":[{"title":"Call Flows","url":"r_call_flows_2.html","children":[{"title":"Session Management Function Initiated N4 Association Setup Procedure","url":"r_smf-initiated_n4_association_setup_procedure1.html","description":"The following call flow depicts the SMF-initiated N4 Association Setup procedure. StepDescription1The SMF initiates the N4 Association Setup procedure to request the setup of an N4 association toward"}]}]},{"title":"Configuring the CP-Initiated N4 Association Setup Feature","url":"r_configuring_the_cp-initiated_n4_association_setup_feature.html","description":"This section describes how to configure the CP-Initiated N4 Association Setup feature. Configuring this feature involves using the \u0022sx-association initiated-by-cp\u0022 CLI command in the Control Plane Gr","children":[{"title":"CP-Initiated N4 Association Setup Feature OAM Support","url":"r_cp-initiated_n4_association_setup_feature_oam_support.html","description":"This section describes operations, administration, and maintenance information for this feature.","children":[{"title":"Show Command Support","url":"r_show_command_support1.html","description":"Use the following show command to verify the CP-initiated N4 Association Setup feature configuration.show control-plane-group all The following is a sample output of the show command.show control-pla"}]}]}]},{"title":"Charging Support","url":"g_upf_charging_support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"The usage measurement and reporting function in User Plane Function (UPF) is controlled by the Session Management Function (SMF). The SMF controls these functions by: Creating the necessary PDRs to r","children":[{"title":"Offline Charging Events Reporting over N4","url":"r_offline_charging_reporting_over_n4.html","description":"The User Plane Function (UPF) supports session-based offline charging, PDU session level reporting triggers in URR (volume and time threshold), PFCP session report procedure, and usage report IE supp"},{"title":"Online Charging Support over N4","url":"r_online_charging_support_over_n4.html","description":"The UPF supports flow-based online charging support, which includes URR enhancements for Volume and Time quota and Usage reporting IE in PFCP modify response. In addition, the UPF supports online cha"}]},{"title":"How it Works","url":"r_how_it_works_2_3.html","children":[{"title":"Call Flows","url":"r_call_flows_2_3.html","description":"The following sections describe the call flows between SMF and UPF for PFCP Session Management.","children":[{"title":"PFCP Session Establishment Procedure","url":"r_pfcp_session_establishment_procedure.html","description":"The PFCP Session Establishment procedure establishes a PFCP session between SMF and UPF. It also configures rules in UPF for handling incoming packets. In addition, the SMF sends Create URR IE, which"},{"title":"PFCP Session Modification Procedure","url":"r_pfcp_session_modification_procedure.html","description":"The SMF uses the PFCP Session Modification procedure to modify an existing PFCP session on the UPF. For instance, configuring a new rule, modifying an existing rule, or deleting an existing rule, and"},{"title":"PFCP Session Reporting Procedure","url":"r_pfcp_session_reporting_procedure.html","description":"The UPF uses PFCP Session Reporting procedure to report information that is related to the PFCP session to the SMF (usage report IE). Once the threshold hits the volume, time or event measurement and"},{"title":"PFCP Session Deletion Procedure","url":"r_pfcp_session_deletion_procedure.html","description":"The PFCP Session Deletion procedure deletes an existing PFCP session between the SMF and UPF. The SMF initiates a PFCP Session Deletion procedure toward the UPF to delete an existing PFCP session. Th"},{"title":"IEs Supported for Offline Charging Reporting","url":"r_ies_supported_for_offline_charging_reporting.html","description":"The following trigger Information Elements (IEs) support offline charging Reporting over N4: Periodic Reporting \u2013 When this trigger is set, the UPF sends resource usage report periodically to Session"},{"title":"IEs Supported for Online Charging Reporting","url":"r_ies_supported_for_online_charging_reporting.html","description":"The following IEs support online charging: Volume Quota \u2013 The SMF requests the UPF to stop forwarding packets or allow forwarding some limited user plane traffic (based on the operator policy in UPF)"}]},{"title":"Usage Reporting in PFCP Modification Response","url":"r_usage_reporting_in_pfcp_modification_response.html","description":"The UPF sends session modification response after receiving session modification request based on the IEs received in the request message. The UPF includes usage report IE in the session modification"},{"title":"Usage Reporting for Online and Offline Charging","url":"r_usage_reporting_online_offline_chargin.html","description":"Usage Reporting for Online and Offline Charging is supported in the following ways: URR for online charging based on Rating-Group level even if the Service ID is present under Charging-Action. This b"},{"title":"Implementing the QAURR Flag","url":"r_implementing_the_qaurr_flag.html","description":"The SMF sets the QAURR flag of PFCPSMReq-Flags IE to request immediate usage reports for all the URRs previously provisioned earlier. Alternatively, SMF queries report for selected URR by sending URR"}]},{"title":"Configuring Credit Control for Usage Reporting","url":"r_configuring_credit_control_usage_reportingxml.html","description":"This configuration enables to accept/ignore service ID in the Service-Identifier AVP defined in the Diameter dictionaries. configure require active charging active-charging service service_name credi"},{"title":"Configuring ACS Rulebase for Usage Reporting","url":"r_configuring_acs_rulebase_1_acsmode.html","description":"This section describes how to create, configure, or delete an ACS rulebase. A rulebase is a collection of protocol rules to match a flow and associated actions to be taken for matching flow. The defa"}]},{"title":"Deep Packet Inspection and Inline Services","url":"g_inherited-dpi-charging-rules.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13_14.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","description":"Revision DetailsReleaseFirst introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8.html","description":"One of the key product capability of Cisco 5G-UPF is integrated Deep Packet Inspection (DPI) based services. DPI is the examination of layer 7 (L7), which contains Uniform Resource Identifier (URI) i"},{"title":"How it Works","url":"r_how-it-works_2.html","description":"This section describes the following functionality of DPI: DSCP Marking of downlink and uplink packets. Traffic Readdressing or Redirecting.","children":[{"title":"DSCP Marking for Downlink and Uplink Packets","url":"r_dscp_marking_for_downlink_and_uplink_packets.html","description":"Transport-level marking is the process of marking traffic at the UPF with a Differentiated Services Code Point (DSCP) value. The transport-level marking, executed on per-QoS flow, is based on the map","children":[{"title":"Transport Level Marking IE","url":"r_transport_level_marking_ie.html","description":"The \u0022Transport Level Marking\u0022 IE type is encoded as shown in the following figure. It indicates the DSCP value for the downlink transport-level marking.The encoding for Type-of-Service (ToS) or Traff"},{"title":"Transport Level Marking Options IE","url":"r_transport_level_marking_options.html","description":"The \u0022Transport Level Marking Options\u0022 IE type is encoded as shown in the following figure. The DSCP for downlink transport-level marking is copied from the inner packet.The Copy-Inner and Copy-Outer "},{"title":"Inner Packet Marking IE","url":"r_inner_packet_marking.html","description":"The \u0022Inner Packet Marking\u0022 IE type is encoded as shown in the following figure. It indicates the DSCP value for the downlink inner packet marking.The encoding for ToS/Traffic Class takes place in the"}]},{"title":"Traffic Readdressing or Redirecting","url":"r_traffic_readdressing_or_redirecting.html","description":"Traffic Redirection is the process of redirecting uplink application traffic to a redirect destination. For example, redirect some HTTP flows to service provisioning page. The redirect destination is","children":[{"title":"Redirect Information IE","url":"r_redirect_information_ie.html","description":"Redirect information is encoded as follows:\u0022Redirect Address Type\u0022 indicates the type of the redirect address:Redirect Address Type Value (Decimal)IPv4 address0IPv6 address1URL2SIP URI3Spare, for fut"}]}]},{"title":"Supported Inline Services","url":"r_supported-inline-services.html","children":[{"title":"Application Detection and Control","url":"r_adc_support.html","description":"The ADC in-line service is mainly used to detect Peer-to-Peer protocols by analyzing traffic. Other popular applications that generate the bulk of Internet traffic like Social Networking and Gaming a"},{"title":"Content Filtering","url":"r_content_filtering.html","description":"Content Filtering is an in-line service available for 3GPP and 3GPP2 networks to filter HTTP requests from mobile subscribers based on the URLs in the requests. This enables operators to filter and c"},{"title":"Event Data Records","url":"r_event_data_records.html","children":[{"title":"Feature Description","url":"r_feature_description-edr.html","description":"Event Data Records (EDR) are usage records with support to configure content information, format, and generation triggers by the system administrative user. When a flow is terminated, the UPF generat"},{"title":"How It Works","url":"r_how_it_works_edr.html","description":"EDRs are generated from User Plane on flow termination. During call setup and call modification, all call-specific attributes required for EDR generation is sent from SMF to UPF as part of the \u0022Subsc","children":[{"title":"Limitations","url":"r_limitations_2.html","description":"The EDR feature in UPF has the following limitations: EDR will be generated only for flow end condition \u2013 idle timeout, hagr, normal flow termination, and during the end of a session. Charging-Action"}]},{"title":"Configuring Event Data Records","url":"r_configuring_edrs.html","children":[{"title":"Configuring EDRs on UPF","url":"r_confiuring_edrs_in_upf.html","description":"Use the following configuration to configure EDRs on UPF: active-charging service service_name rulebase rulebase_name flow end-condition { timeout | normal-end-signaling | session-end | hagr } chargi"},{"title":"Configuration to Enable EDR Module","url":"r_configuration_to_enable_edr_module.html","description":"Use the following configuration to enable EDR module. configure context context_name edr-module active-charging-service end"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_troubleshooting_edr.html","children":[{"title":"show user-plane-service statistics rulebase name rulebase_name","url":"r_show_user-plane-service_statistics.html","description":"The following fields are displayed in support of this feature: Rulebase Name EDRs Charge Volume Uplink Pkts Uplink Bytes Downlink Pkts Downlink Bytes Charging EDRs Total Charging EDRs generated EDRs "}]}]},{"title":"L7 Protocol","url":"r_l7_protocols.html","description":"The following L7 protocols are supported as part of DPI: DNS FTP HTTP HTTPS RTP/RTSP SIP","children":[{"title":"DNS","url":"r_dns.html","description":"The UPF supports DNS protocol as part of L7 Analyzer."},{"title":"FTP","url":"r_ftp-analyzer.html","description":"The UPF supports FTP proocol as part of L7 Analyzer."},{"title":"HTTP","url":"r_http.html","description":"On completion of HTTP Request/Response, the uplink/downlink data packets are offloaded to VPP in the following cases: Content-Length \u2013 Volume-based offloading is supported for methods like GET and PO"},{"title":"HTTPS","url":"r_https.html","description":"The UPF supports HTTPS protocol as part of L7 Analyzer."},{"title":"RTP/RTSP","url":"r_rtp-rtsp.html","description":"The UPF supports RTP and RTSP protocols as part of L7 Analyzer."},{"title":"SIP","url":"r_sip-analyzer.html","description":"Session Initiation Protocol is an IETF-defined signaling protocol widely used for controlling communication sessions such as voice and video calls over Internet Protocol (IP). The protocol can be use"},{"title":"Monitoring and Troubleshooting","url":"r_monitoring-and-troubleshooting-l7.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show-command-and-or-outputs-l7.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature. DNS Use the following CLI command to get statistics related to DNS: show user-plane-service "}]}]},{"title":"Tethering Detection","url":"g_dpi_tethring_support.html","children":[{"title":"Feature Description","url":"r_feature_description_2_3_4.html","description":"Tethering refers to the use of a mobile smartphone as a USB dongle/modem to provide Internet connectivity to PC devices (laptops, PDAs, tablets, and so on) running on the smartphone\u0027s data plan. Typi"},{"title":"Configuring Tethering Support","url":"r_configuring_tethering_support.html","description":"This section describes how to configure the Tethering Support feature. Configuring the Tethering Support feature involves the following steps: Rulebase Configuration for Tethering Ruledef Configurati","children":[{"title":"Rulebase Configuration for Tethering","url":"r_rulebase_config_tethering.html","description":"Use the following commands to configure the rulebase parameters for tethering. configure active-charging service service_name rulebase rulebase_name tethering-detection ip-ttl valuettl_value end NOTE"},{"title":"Ruledef Configuration for Tethering","url":"r_ruledef_configuration_for_tethering.html","description":"Use the following commands to configure ruldef parameters for tethering. configure active-charging serviceservice_name ruledef ruledef_name ip any-match operator_condition tethering-detection ip-ttl "},{"title":"EDR Configuration for Tethering","url":"r_edr_configu_for_tethering.html","description":"Use the following commands to configure EDR for tethering: configure active-charging service service_name edr-format format_name rule-variable flow tethered-ip-ttl priority priority_value rule-variab"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show_command_outputs_2.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature.","children":[{"title":"show user-plane-service statistics tethering-detection","url":"r_show_user-plane-service_statistice_tethering_detection.html","description":"The following fields are displayed in support of this feature: Current Tethered Subscribers Total Tethered Subscribers Total flows scanned Total Tethered flows detected Total Tethered flows recovered"},{"title":"show user-plane-service statistics rulebase name rulebase_name","url":"r_show_user-plane-service_statistics_rulebase-name.html","description":"The following fields are displayed in support of this feature: Tethering Detection (ip-ttl) Total flows scanned Tethered flows detected Tethered uplink packets Tethered downlink packets"}]}]}]},{"title":"URL Blacklisting","url":"g_dpi_url_blacklisting.html","children":[{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11.html","description":"The URL blacklisting feature regulates the subscriber\u2019s access to view or download content from websites whose URL or URI has been blacklisted. It uses a database that records a list of URLs that ind"},{"title":"How it Works","url":"r_how_it_works_2_3_4_5_6_7_8_9.html","description":"To enable the URL blacklisting feature on UPF, URL blacklisting database should be present with a name \u201Coptblk.bin\u201D under flash, or SFTP or under its sub-directory. This database directory path needs"},{"title":"Configuring URL Blacklisting","url":"r_configuring_url_blacklisting.html","children":[{"title":"Loading URL Blacklisting Database on UPF","url":"r_loading_url_blacklisting_db.html","description":"Use the following configuration to load URL blacklisting database on UPF. configure url-blacklisting database directory path database_directory_path url-blacklisting database max-versions max_version"},{"title":"Upgrading the URL Blacklisting Database","url":"r_upgrade-url-blacklisting-db-cli.html","description":"Use this configuration to manually upgrade the URL blacklisting database. upgrade url-blacklisting database end"},{"title":"Configuration to Enable URL Blacklisting","url":"r_config_to_enable_url_blacklistin_feature.html","description":"Use the following configuration to enable URL blacklisting feature on UPF. configure active-charging service service_name url-blacklisting match-method [ exact | generic ] rulebase rulebase_name url-"}]},{"title":"Monitoring and Troubleshooting","url":"r_monitoring_and_troubleshooting_2.html","description":"This section provides information regarding the CLI command available in support of monitoring and troubleshooting the feature.","children":[{"title":"Show Command(s) and/or Outputs","url":"r_show_command_outputs.html","description":"This section provides information regarding show commands and/or their outputs in support of this feature.","children":[{"title":"show user-plane-service url-blacklisting database","url":"r_show_user-plane-service_url-blacklisting_database.html","description":"The following fields are displayed in support of this feature: URL Blacklisting Static Rating Databases: Last Upgrade Status Path Database Status Number of URLs in DB Type Version Creation Time Hostn"},{"title":"show user-plane-service url-blacklisting database url database_directory_path","url":"r_show_user-plane-service_url-blacklisting_database_url.html","description":"The following fields are displayed in support of this feature: URL Blacklisting Static Rating Databases: Last Upgrade Status Path Database Status Number of URLs in DB Type Version Creation Time Hostn"},{"title":"show user-plane-service url-blacklisting database facility sessmgr all","url":"r_show_user-plane-service_url-blacklisting_database_facility_sessmgr_all.html","description":"The following fields are displayed in support of this feature: URL-Blacklisting SessMgr Instance Based Database Configuration SessMgr Instance BL DB Load Status BL DB Version Number of URLs Checksum"},{"title":"show user-plane-service rulebase name rulebase_name","url":"r_show_user-plane-service_rulebase-name.html","description":"The following fields are displayed in support of this feature: URL-Blacklisting Action URL-Blacklisting Content ID"},{"title":"show user-plane-service inline-services info","url":"r_show_user-plane-service_inline-services_info.html","description":"The following fields are displayed in support of this feature: URL-Blacklisting: Enabled URL-Blacklisting Match-method: Generic"},{"title":"show user-plane-service inline-services url-blacklisting statistics","url":"r_show_user-plane-service_inline-services_url-blacklisting_statistics.html","description":"The following are displayed in support of this feature: Cumulative URL-Blacklisting Statistics Blacklisted URL hits Blacklisted URL misses Total rulebases matched"},{"title":"show user-plane-service inline-services url-blacklisting statistics rulebase name rulebase_name","url":"r_show_user-plane-service_inline-services_url-blacklisting_statistics_rulebase_name.html","description":"The following fields are displayed in support of this feature: Rulebase Name URL-Blacklisting Statistics Blacklisted URL hits Blacklisted URL misses Total rulebases matched"}]}]}]}]},{"title":"Configuring the Static and Pre-Defined Rules","url":"r_configuring_the_static_and_pre-defined_rules.html","description":"This section describes how to configure the static and pre-defined rules under the charging action configuration. configure active-charging service service_name charging-action charging_action_name f"},{"title":"Configuring ACS Ruledef for L7 Protocols for DPI","url":"r_configuring_acs_ruledef.html","description":"A ruledef represents a set of matching conditions across multiple L3 \u2013 L7 protocol based on protocol fields and state information. Each ruledef can be used across multiple rulebases within the active"},{"title":"Charging Action Configuration for L7 Protocols for DPI","url":"r_charging_action_configuration.html","description":"This section describes how to configure charging action. The charging action represents actions to be taken when a configured rule is matched. Actions could range from generating an accounting record"}]},{"title":"Dynamic and Static PCC Rules","url":"g_upf_dynamic_static_pcc_rules.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision_history_2_3_4.html","description":"Revision HistoryRevision DetailsRelease First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2.html","description":"Dynamic PCC rules are provisioned by the PCF to the PCEF via the HTTP interface and may be either predefined/static or dynamically generated in the PCF. Dynamic PCC rules can be installed, modified a","children":[{"title":"How it Works","url":"r_how_it_works_2_3_4_5_6_7.html"},{"title":"Predefined PCC Rules Support","url":"r_predefined_pcc_rules_support.html","description":"Config URR IDs are applicable for static rules and also predefined rules. When a subscriber call comes up, it traverses the static rules in rule base. The subscriber master URR list with bucket IDs a"}]},{"title":"Provisioning of Predefined PCC Rules","url":"r_provisioning_of_predefined_pcc_rules.html","description":"Predefined PCC rule is preconfigured in the SMF (for 5GC). Predefined PCC rules can be activated or deactivated by the PCF at any time. The Predefined PCC rules may be grouped allowing the PCF to dyn"},{"title":"Rate Limiting for Static and Predefined Rules","url":"r_rate_limiting_for_static_and_predefined_rules.html","description":"For static and predefined rules, bandwidth limiting is achieved by the bandwidth policy configuration. Bandwidth Policy must be configured on SMF and UPF under Active Charging Service Configuration M"},{"title":"Dynamic PCC Rules Support","url":"r_dynamic_pcc_rules_support.html","description":"For dynamic PCC rules multiple flows are supported on per Packet Forwarding Control Protocol (PFCP) session: The 5G QoS model allows classification and differentiation of specific services based on s"},{"title":"Rate Limiting for Dynamic Rules","url":"r_rate_limiting_for_dynamic_rules.html","description":"As per 3GPP TS 29.244, the following IE is received from SMF for QoS enforcement in Create QER or Update QER in Session Establishment or Modification Request: Maximum Bitrate: This IE is present if a"},{"title":"Standards Compliance","url":"r_standards_compliance.html","description":"The N4 interface between SMF and UPF is specified in 3GPP TS 23.501 and 3GPP TS 23.502."},{"title":"Configuring the URR IDs","url":"r_configuring_the_urr_ids.html","description":"Following are the steps to achieve the configurable URR IDs: Configuration template outside of Charging action to allow URR-Id mapping with \u0022Rating Group\u0022 and \u0022Service-ID\u0022. If a separate RG is config"},{"title":"Threshold Configuration","url":"r_threshold_configuration.html","description":"The GTPP group configuration is required for threshold calculation at UPF. UPF uses GTPP group configuration available from APN configuration. As of now multiple GTPP group configuration can be confi"}]},{"title":"GTP-U Support","url":"g_upf_gtp-u_support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Revision HistoryRevision DetailsRelease First introduced 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"3GPP specifies provisions for UEs capable of supporting both 5G and 4G NAS to connect to E-UTRAN and 5G core network. To forward data (G-PDUs and End Marker packets) during an EPS to 5GS handover, th","children":[{"title":"How it Works","url":"r_how_it_works_2_3_4.html","children":[{"title":"Call Flows","url":"r_call_flows.html","children":[{"title":"Initial Attach on E-UTRAN via MME and S-GW","url":"r_initial_attach_on_e-utran_via_mme_and_sgw.html","description":"Initial attach on E-UTRAN/EPS follows the procedure defined in 3GPP TS 23.401, Section 5.3.2.1. The following diagram shows the call flow derived from 3GPP reference for initial attach on E-UTRAN/EPS"},{"title":"5G to EPS Handover with N26 Interface","url":"r_5g_to_eps_handover_with_n26_interface.html","description":"5G to EPS handover with N26 interface is defined in 3GPP TS 23.502, Section 4.11.1.2.1. The following diagram shows the detailed call flow for N26 interface. 5G to EPS Handover with N26 Interface Cal"}]}]}]}]},{"title":"Idle Mode Buffering and Paging","url":"g_5g-upf_idle_mode_buffering_paging_support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10.html","description":"Revision HistoryRevision DetailsRelease First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"A Buffering Action Rule (BAR) provides instructions to control the buffering behavior of the User Plane Function (UPF). The BAR controls the buffering behavior for all Forwarding Action Rules (FARs) ","children":[{"title":"How it Works","url":"r_how_it_works_2_3_4_5_6_7_8_9_10.html","description":"If the User Plane Function indicates the support of the feature UL or DL Buffering Control (UDBC), the SMF provides the buffering packet count IE in a BAR. The buffering count IE is created during a "},{"title":"Provisioning of Buffering Action Rule in the UPF","url":"r_provisioning_of_buffering_action_rule_in_the_upf.html","description":"The SMF provisions multiple buffering parameters in a BAR. It is in Create BAR or Update BAR in various PFCP messages. Currently, UPF supports the following IE: The suggested buffering packet count I"}]},{"title":"Buffering Action Rule Call Flow","url":"r_buffering_action_rule_call_flow.html","description":"This section describes the provisioning of buffering action rule in the UPF call flow. Buffering Action Rule"},{"title":"Downlink Data Report for First DL Packet","url":"r_downlink_data_report_for_first_dl_packet.html","description":"When instructed to buffer and notify the SMF about the arrival of a DL packet, the UPF notifies the SMF, when it receives a first downlink packet for a given FAR. The UPF notifies the DL packet arriv"},{"title":"Paging Policy Differentiation","url":"r_paging_policy_differentiation.html","description":"The UPF supports the Paging Policy Differentiation, for each PDR and for each packet that triggers a Downlink Data Notification, the UPF function copies the value of the DSCP in TOS (IPv4) or TC (IPv","children":[{"title":"Paging Policy Indicator (PPI)","url":"r_paging_policy_indicator_.html","description":"The SMF sends the PPI value in Create QER or Update QER, if UPF needs to set Paging Policy Indicator in outgoing PDU packets.","children":[{"title":"Frame Format for the PDU Session User Plane Protocol","url":"r_frame_format_for_the_pdu_session_user_plane_protocol.html","description":"Downlink PDU Session Information (PDU Type 0) - This frame format is defined to allow the NG-RAN to receive some control information elements which are associated with the transfer of a packet over t"},{"title":"QoS Flow Identifier (QFI)","url":"r_qos_flow_identifier_.html","description":"Description: When present, the QoS Flow Identifier (QFI) parameter indicates the QoS Flow Identifier of the QoS flow to which the transferred packet belongs. Value Range: The value range is between 0"},{"title":"Paging Policy Presence","url":"r_paging_policy_presence.html","description":"Description: The Paging Policy Presence (PPP) parameter indicates the presence of the Paging Policy Indicator (PPI). Value Range: A value of 0 indicates that Paging Policy Indicator is not present an"},{"title":"Paging Policy Indicator","url":"r_paging_policy_indicator_2.html","description":"Description: When present, the Paging Policy Indicator (PPI) is used for paging policy differentiation (see details in 3GPP TS 23.501). This field applies to PDU sessions of IP type. Value Range: the"}]}]}]},{"title":"N3 Transfer of PDU Session Information","url":"g_n3-transfer-of-pdu-session-information.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Applicable"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8.html","description":"Revision DetailsRelease First introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5.html","description":"The N3 transfer of PDU session information involves the inclusion of QoS Field Identifier (QFI) IE in the GTP-U extension header while performing GTP-U encapsulation toward gNodeB on the N3 interface","children":[{"title":"How it Works","url":"r_how_it_works_2_3_4_5_6_7_8_9_10_11.html","description":"This section describes the transfer of PDU session Information procedures between the gNodeB and UPF for Uplink and Downlink packets.","children":[{"title":"Transfer of PDU Session Information for Downlink Data Packets","url":"r_transfer_of_pdu_session_information_for_downlink_data_packets.html","description":"The Transfer of PDU Session Information for downlink data packets involves transfer of control information elements related to the PDU Session from UPF/NG-RAN to NG-RAN.A PDU session user plane insta"},{"title":"Transfer of PDU Session Information for Uplink Data Packets","url":"r_transfer_of_pdu_session_information_for_uplink_data_packets.html","description":"The Transfer of PDU Session Information for uplink data packets involves transfer of control information elements related to the PDU Session from NG-RAN to UPF.An UL PDU Session user plane instance t"},{"title":"PDU Session Information Frame IEs","url":"r_pdu_session_information_frame_ies.html","description":"The following table describes the Information Elements present in the PDU Session Information frame. Information ElementDescriptionPDU Type The PDU Type indicates the structure of the PDU session UP "}]},{"title":"Standards Compliance","url":"r_standards_compliance_2.html","description":"The feature complies with the following standard: 3GPP TS 38.415 V15.2.0 (NG-RAN; PDU Session User Plane Protocol)."},{"title":"Limitations","url":"r_limitations.html","description":"The following are the known limitations to this feature in this release: Reflective QoS Indicator (RQI) is not supported in this release."}]}]},{"title":"N4 Interface Compliance with 3GPP Specification (Dec-2018)","url":"g_upf_3gpp_dec_2018_spec_compliance_for_n4.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) ASR 5500 VPC-SI Feature Default SettingEnabled - Always-onRelated Changes in this ReleaseNot ApplicableRelated Documen"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","description":"Revision HistoryRevision DetailsRelease First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"As part of TS 29.244, December 2018 compliance, User Plane Function (UPF) supports the following IEs: Averaging Window Paging Policy Indicator (PPI)"},{"title":"Averaging Window","url":"r_averaging_window.html","description":"Averaging window IE contains the duration over which the GBR and MBR is calculated. It is sent from SMF to UPF with Create QER or Update QER parent IE, if the default pre-configured value under UPF n"},{"title":"Paging Policy Indicator","url":"r_paging_policy_indicator.html","description":"The SMF sends PPI value in Create QER or Update QER, if UPF requires to set Paging Policy Indicator in outgoing packets. In the case of Network Triggered Service Request and UPF buffering downlink da"}]},{"title":"N4 Interface Configuration","url":"g_upf_n4_interface_configuration_forupf.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingDisabled - Configuration RequiredRelated Changes in this ReleaseNot Applicable Related D"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Revision HistoryRevision DetailsReleaseFirst introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6.html","description":"This chapter provides the configuration information to identify a peer node to be an N4 interface, and the configuration to modify N4 parameters in an Sx-Service."},{"title":"Configuring N4 Interface","url":"r_configuration.html","description":"This section describes the following configurations: Identifying N4 Interface Adding N4-type and Modification of N4 Parameters in Sx Service","children":[{"title":"Identifying an N4 Interface","url":"r_identifying_n4_interface.html","description":"Use the following configuration to identify if a peer node is an N4 interface type. configure control-plane-group group_name peer-node-id [ ipv4-address ipv4_address | ipv6-address ipv6_address ] int"},{"title":"Modification of N4-type Parameters in an Sx Service","url":"r_modification_of_n4-type_parameters_in_an_sx_service.html","description":"Use the following configuration to modify N4-type parameters in an Sx Service. configure context context_name sx-service service_name n4 [ max-retransmissions max_retransmission_value | retransmissio"},{"title":"Statistics","url":"r_statistics.html","description":"This section provides information on show commands and their output available in support of this feature.","children":[{"title":"show control-plane-group","url":"r_show_control-plane-group.html","description":"The output of this command displays the following fields for this feature: Interface Type \u2013 This field indicates if the peer interface is N4. It is not displayed for non-N4 interfaces."},{"title":"show sx-service all","url":"r_show_sx-service_all.html","description":"The output of this command displays the following fields for this feature: N4 N4 Retransmission Timeout N4 Maximum Request Retransmission"},{"title":"show subscribers user-plane-only all","url":"r_show_subscribers_user-plane-only_all.html","description":"The output of this command displays the following fields for this feature: Interface N4"},{"title":"show user-plane-service statistics all","url":"r_show_user-plane-service_statistics_all.html","description":"The output of this command displays the following fields for this feature: N4 interface-type PDNs Active Setup Released"},{"title":"show subscribers user-plane-only seid number pdr all","url":"r_show_subscribers_user-plane-only_seid_number_pdr_all.html","description":"The output of this command displays the following fields for this feature: Associated-QFIs"},{"title":"show subscribers user-plane-only callid number pdr full all","url":"r_show_subscribers_user-plane-only_callid_number_pdr_full_all.html","description":"The output of this command displays the following fields for this feature: QoS Flow Identifier"}]}]}]},{"title":"N4 Session Management, Node Level, and Reporting Procedures","url":"g_upf_n4_sm_node_level_reporting_procedure.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8.html","description":"Summary DataApplicable Product(s) or Functional Area5G-UPFApplicable Platform(s) VPC-SI Feature Default SettingEnabled \u2013 Always-onRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot"},{"title":"Revision History","url":"r_revision_history_2_3_4_5.html","description":"Revision DetailsRelease First Introduced 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19.html","children":[{"title":"N4 Session Management, Node Level, and Reporting Procedures","url":"r_n4_session_management_node_level_and_reporting_procedures.html","children":[{"title":"N4 Node-level Procedures","url":"r_n4_node-level_procedures.html","description":"The N4 Node-level procedures in User Plane Function (UPF) involves the following processes: N4 Association Set up Procedure \u2013 The procedure used for setting up an N4 association between the Session M"},{"title":"N4 Session Management","url":"r_n4_session_management.html","description":"N4 session management procedures are used to control the functionality of the UPF. SMF can create, update, and remove the N4 session context in the UPF, which is described in 3GPP TS 23.501, clause 5"},{"title":"N4 Session/Node-level Reporting Procedures","url":"r_n4_sessionnode-level_reporting_procedures.html","description":"Whenever the data path between UPF and gNB is down, it is detected and reported to the SMF for corrective actions. The mechanism to detect and report it to SMF is clearly defined in 3GPP specificatio"}]},{"title":"Relationships","url":"r_relationships.html","description":"The following features support the N4 session management, node level, and reporting procedures.","children":[{"title":"End Marker Support","url":"r_end_marker_support.html","description":"The UPF sends the End Marker packets to support the reordering function in the target Radio Access Network (RAN). The UPF constructs the End Marker packets that are required for the reordering functi","children":[{"title":"Constructing the End Marker Packets through UPF","url":"r_constructing_the_end_marker_packets_through_upf.html","description":"At the time of the handover procedure, the PDU session for the UE \u2013 which comprises of an UPF node \u2013 acts as a PDU session anchor and an intermediate UPF terminating N3 reference point. The SMF sends"}]},{"title":"UEs IPv4, IPv6, and IPv4v6 Support","url":"r_ues_ipv4_ipv6_and_ipv4v6_support.html","description":"The UPF supports UE\u0027s IPv4, IPv6, and IPv4v6 sessions. The N4 Session Establishment and Modification procedure for IPv6 sessions is the same as for IPv4 sessions. After the session is established, th"}]}]},{"title":"How it Works","url":"r_how_it_works_2_3_4_5_6_7_8.html","description":"This section describes the N4 node-level, session management, and reporting procedures and associated call flows.","children":[{"title":"N4 Node-level Procedure Call Flows","url":"r_n4_node-level_procedure_call_flows.html","children":[{"title":"N4 Association Setup Procedure Call Flow","url":"r_n4_association_setup_procedure_call_flow.html","description":"The N4 Association Setup procedure creates the N4 association between the SMF and the UPF, which enables the SMF to use the UPF resources to establish N4 sessions. The N4 association setup procedure "},{"title":"N4 Association Update Procedure Call Flow","url":"r_n4_association_update_procedure_call_flow.html","description":"The N4 Association Update procedure modifies an existing N4 association between the SMF and the UPF. It can be initiated either by the UPF or by the SMF to update the supported features or available "},{"title":"N4 Association Release Procedure Call Flow","url":"r_n4_association_release_procedure_call_flow.html","description":"The N4 Association Release procedure terminates the N4 association between the SMF and the UPF. It can be initiated either by the SMF or by the UPF. The UPF requests the SMF to perform the release of"},{"title":"N4 Heartbeat Procedure","url":"r_n4_heartbeat_procedure_call_flow.html","description":"The PFCP Heartbeat procedure includes the following messages: Heartbeat Request Heartbeat Response"}]},{"title":"N4 Session Management Procedures Call Flows","url":"r_n4_session_management_procedures_call_flows.html","description":"The following section describes the N4 Session Management procedures.","children":[{"title":"N4 Session Establishment Call Flow","url":"r_n4_session_establishment_call_flow.html","description":"N4 Session Establishment is used to create the initial N4 session context for a PDU session at the UPF. SMF assigns a new N4 session ID and provides it to the UPF. The N4 session ID is stored by both"},{"title":"N4 Session Modification Call Flow","url":"r_n4_session_modification_call_flow.html","description":"N4 Session Modification is used to update the N4 session context of an existing PDU session at the UPF, which is executed between SMF and UPF whenever PDU session-related parameters have to be modifi"},{"title":"N4 Session Delete Call Flow","url":"r_n4_session_delete_call_flow.html","description":"N4 Session Delete is used to remove the N4 session context of an existing PDU session at the UPF. StepDescription1SMF receives the trigger to remove the N4 session context for the PDU session.2SMF se"}]},{"title":"N4 Session/Node Level Reporting Procedure Call Flows","url":"r_n4_sessionnode_level_reporting_procedure_call_flows.html","children":[{"title":"Session Level Reporting Due to the GTP-u Error Indication Call Flow","url":"r_session_level_reporting_due_to_the_gtp-u_error_indication_call_flow.html","description":"When the UPF receives the GTP-u Error Indication from gNB, it detects the PFCP session and sends the PFCP Session Report request to the SMF handling that session along with the Error Indication Repor"},{"title":"Node-level Reporting Procedure due to GTP-u Path Failure Call Flow","url":"r_node-level_reporting_procedure_due_to_gtp-u_path_failure_call_flow.html","description":"When the UPF enables GTP-u Echo procedure for GTP-u endpoints and identifies a data path failure because of no response, it sends a PFCP Node Report Request to the SMF. The Node Report Type in the PF"}]},{"title":"UEs IPv4, IPv6, and IPv4v6 Support Call Flows","url":"r_ues_ipv4_ipv6_and_ipv4v6_support_call_flows.html","children":[{"title":"N4 Session Establishment and Modification Procedure for IPv6 Call Flow","url":"r_n4_session_establishment_and_modification_procedure_for_ipv6_call_flow.html","description":"The following call flow provides a high-level description of the N4 session establishment and modification procedure for IPv6. StepDescription1The SMF receives the trigger to establish a new PDU sess"},{"title":"N4 Session Establishment and Modification Procedure for IPv4v6 Call Flow","url":"r_n4_session_establishment_and_modification_procedure_for_ipv4v6_call_flow.html","description":"The following call flow provides a high-level description of the N4 session establishment and modification procedure for IPv4v6. The IPv4v6 session establishment and modification procedure are simila"}]}]},{"title":"Configuring the N4 Session/Node Level Reporting Procedures","url":"r_configuring_the_n4_sessionnode_level_reporting_procedures.html","description":"This section describes how to configure the N4 Session/Node Level Reporting procedures.","children":[{"title":"Enabling the GTP-u Echo Request Procedure","url":"r_enabling_the_gtp-u_echo_request_procedure.html","description":"The existing CLI (Command Line Interface) in gtpu-service is used to enable the GTP-u Echo request procedure. configure gtpu-service service_name echo-interval seconds echo-retransmission-timeout sec"},{"title":"Verifying the N4 Session/Node Level Reporting Procedure Configuration","url":"r_verifying_the_n4_sessionnode_level_reporting_procedure_configuration.html","description":"This section describes how to verify the N4 Session/Node Level Reporting Procedure configuration."},{"title":"N4 Session Node Level Reporting Procedure OA and M Support","url":"r_n4_sessionnode_level_reporting_procedure_support1.html","description":"Use the show gtpu statistics command to display the GTP-u statistics for Error Indication and GTP-u Echo Request and Response. The following is a sample output from the show gtpu statistics command.s"},{"title":"SNMP Traps","url":"r_snmp_traps.html","description":"The following traps are available to track status and conditions GTP-u path failure. EGTPUPathFailure: This trap is generated when no response is received for GTP-U ECHO requests and data path failur"}]}]},{"title":"UPF Ingress Interface","url":"g_upf_ingress_interface_type_support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2.html","children":[{"title":"Summary Data","url":"r_summary_data_2.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7.html","description":"This release supports the upf-ingress interface, which the UPF requires for user plane service to start. The user plane service must be associated with GTP-U service. This can be achieved using the a"},{"title":"Configuring UPF Ingress Interface Type Support","url":"r_configuring-upf-ingress-interface-type.html","description":"To associate the GTPU service with the User Plane Service, use the following configuration: configure context context_name user-plane-service service_name [ no ] associate gtpu-service gtpu_service_n"},{"title":"Verifying the UPF Ingress Interface Type Feature Configuration","url":"r_verifying-upf-ingress-interface-type-config.html","description":"Run the show user-plane-service all command to view the output. [local]qvpc-si# show user-plane-service all Service name : user-plane-service Service-Id : 4 Context : ingress Status : STARTED UPF Ing"}]},{"title":"UPF Local Configuration","url":"g_upf_local_configuration_support.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Disabled \u2013 Configuration Required Related Changes in this Release Not Applicable Rel"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Revision History Revision Details Release First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3.html","description":"The support for processing static and predefined rules in Control and User Plane Separation of EPC nodes (CUPS) architecture is dependent on the ruledef, rulebase, and charging action. For processing","children":[{"title":"How it Works","url":"r_how_it_works.html","description":"The Access Control System (ACS) command line interface (CLI) is configured on the user-plane and the CLI module sends it to the ACS Controller (ACSCtrl). The ACSCtrl verifies the CLI and sends it to "}]},{"title":"Configuring the Local Configuration Support for UPF","url":"r_configuring_the_local_configuration_support_for_upf.html","description":"Use the following CLI commands to configure the User Plane Function (UPF) locally. configure require upf end"}]},{"title":"UPF Reporting of Load Control Over N4 Interface","url":"g_upf-reporting-of-load-control-over-n4-interface.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5.html","description":"Applicable Product(s) or Functional AreaUPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 Configuration RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Ap"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6.html","description":"Revision DetailsReleaseFirst introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18.html","description":"Load control enables the UPF to send its load information to the SMF in order to balance PFCP session load across the UPF according to their effective load. The load information reflects the operatin","children":[{"title":"Supported IE and Messages","url":"r_supported_ie_and_messages.html","description":"To report Load Control Information (LCI) to the SMF, 3GPP specification has defined the following IEs: Load Control Information IE \u2013 The load control Information IE is as follows: It contains the seq"},{"title":"Reporting Load Information to SMF","url":"r_reporting_load_information_to_smf.html","description":"The UPF sends its load control information to reflect the operating status of its resources at the node level. It allows the SMF to use this information to augment the UPF selection procedures. The l"}]},{"title":"Configuring the Max Sessions","url":"r_configuring_the_max_sessions.html","description":"Based on various deployment scenarios, if you do not want to load UPF to its maximum capacity in terms of the count of sessions, especially, given that in 5G a single user-session can go up to 5 Gbps","children":[{"title":"Show Command Support","url":"r_show_command_support.html","description":"The output of the show command to display the User Plane Service includes the value of configured max sessions. show user-plane-service all Service name : user-plane-service Service-Id : 4 Context : "}]}]},{"title":"Session Recovery","url":"g_session-recovery.html","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16_17_18_19_20.html","description":"Applicable Product(s) or Functional Area5G-UPFApplicable Platform(s)VPC-SIFeature Default SettingDisabled \u2013 License RequiredRelated Changes in this ReleaseNot ApplicableRelated DocumentationNot Appli"},{"title":"Revision History","url":"r_revision_history_2_3.html","description":"Revision DetailsReleaseFirst introduced.2020.02.0"}]},{"title":"Feature Description","url":"r_feature-description.html","description":"With robust hardware failover and redundancy protection, any hardware or software failures on the system can quickly be corrected. However, software failures can occur for numerous reasons, often wit"},{"title":"How it Works","url":"r_how-session-recoveryworks.html","description":"This section provides an overview of how this feature is implemented and the recovery process. The Session Recovery feature provides seamless failover and reconstruction of subscriber session informa"},{"title":"Configuring the System to Support Session Recovery","url":"r_configuring-thesystem-to-support-session-recovery.html","description":"The following procedures allow you to configure the session recovery feature for either an operational system that is currently in-service (able to accept incoming calls) or a system that is out-of-s","children":[{"title":"Enabling Session Recovery","url":"r_enabling-sessionrecovery.html","description":"As noted earlier, session recovery can be enabled on a system that is out-of-service (OOS) and does not yet have any contexts configured, or on an in-service system that is currently capable of proce","children":[{"title":"Enabling Session Recovery on an Out-of-Service System","url":"t_enabling-sessionrecovery-on-an-outofservice-system.html","description":"The following procedure is for a system that does not have any contexts configured. To enable the session recovery feature on an out-of-service system, follow the procedure below. This procedure assu"},{"title":"Enabling Session Recovery on an In-Service System","url":"t_enabling-sessionrecovery-on-an-inservice-system.html","description":"When enabling session recovery on a system that already has a saved configuration, the session recovery commands are automatically placed before any service configuration commands in the configuratio"}]},{"title":"Disabling the Session Recovery Feature","url":"r_disabling-the-sessionrecovery-feature.html","description":"To disable the session recovery feature on a system, enter the no require session recovery command from the Global Configuration mode prompt.If this command is issued on an in-service system, then th"},{"title":"Viewing Session Recovery Status","url":"r_viewing-sessionrecovery-status.html","description":"To determine if the system is capable of performing session recovery, when enabled, enter the show session recovery status verbose command from the Exec mode prompt. The output of this command should"},{"title":"Viewing Recreated Session Information","url":"r_viewing-recoveredsession-information.html","description":"To view session state information and any session recreation status, enter the following command: show subscriber debug-info callid id The following example shows the output of this command both befo"}]}]},{"title":"Voice over New Radio","url":"g_5g-upf_support_for_vonr_mo_mt_call_flow.html","description":"This chapter covers the following topics:","children":[{"title":"Feature Summary and Revision History","url":"r_feature_summary_and_revision_history_2_3_4_5_6_7_8_9_10_11_12_13_14_15.html","children":[{"title":"Summary Data","url":"r_summary_data_2_3_4_5_6_7_8_9_10_11_12_13_14_15_16.html","description":"Summary Data Applicable Product(s) or Functional Area 5G-UPF Applicable Platform(s) VPC-SI Feature Default Setting Enabled \u2013 Always-on Related Changes in this Release Not Applicable Related Documenta"},{"title":"Revision History","url":"r_revision_history_2_3_4_5_6_7_8_9_10_11_12_13.html","description":"Revision HistoryRevision DetailsRelease First Introduced. 2020.02.0"}]},{"title":"Feature Description","url":"r_feature_description.html","description":"The UPF supports Voice over New Radio (VoNR) with the existing Session Establishment and Modification procedures. In these procedures, the SMF creates the PDR for 5QI=5 Non-GBR flow for IMS signaling","children":[{"title":"How it Works","url":"r_how_it_works_2_3_4_5_6.html","description":"The following are the steps in the call flow in which the PDRs are created with 5QI value 5 for IMS signaling and 5QI value 1 or Voice Traffic.","children":[{"title":"VoNR Call Flow for UPF","url":"r_vonr_call_flow_for_upf.html","description":"This section describes the steps for VoNR session and respective PDR Creation on UPF.VoNR Call Flow VoNR Call FlowStepDescription 1 UE1 and UE2 are registered on 5G network. They establish the IMS PD"}]}]}]}]},{"title":"Troubleshooting Information","url":"g_part4-troubleshooting.html","children":[{"title":"UPF Troubleshooting Information","url":"g_troubleshooting.html","description":"This chapter covers the following topics related to monitoring and troubleshooting the UPF features:","children":[{"title":"Debug Logging","url":"r_debug_logging.html","description":"The debug logging CLIs must be enabled with the help of System Administrator. Enabling debug logging CLIs can be resource intensive. Use the following debug CLIs as required: logg filter active facil"},{"title":"Monitoring CLI","url":"r_monitoring_cli.html","description":"Subscriber Level Message Use the mon sub callid CLI command for subscriber level message. Resource Tracking Use the show task resources facility sessmgr all CLI command to track the CPU/Memory for PR"},{"title":"Monitoring Protocol","url":"r_monitor_protocol.html","description":"When using the monitor protocol command, enable option 49 for PFCP, and option 26 for GTP-U."},{"title":"RAT Type-based Statistics","url":"r_rat-type-based-statistics.html","description":"The RAT Type-based Statistics feature equip users to view data statistics segregated by RAT Type in UPF. RAT Type-based data statistics in UPF maintains separate buckets. These buckets are created at"},{"title":"Subscriber Level CLI","url":"r_subscriber_level_cli.html","description":"Use the following subscriber level CLIs as required: show subscribers user-plane-only full all show subscribers user-plane-only { seid seid_value | callid callid_value } pdr all show subscribers user"},{"title":"SNMP Support","url":"r_snmp_support.html","description":"The system uses the Simple Network Management Protocol (SNMP) to send traps or events to the EMS server or an alarm server on the network. You must configure SNMP settings to communicate with those d"},{"title":"Troubleshooting UPF Features","url":"r_troubleshooting.html","description":"N4 or Datapath The following CLI commands are available for troubleshooting N4 or datapath related issues: show gtpu statistics show user-plane-service { all | bandwidth-policy | charging-action | ed"}]}]},{"title":"UPF Sample Basic Configuration","url":"g_part5-sample-config.html","children":[{"title":"Sample UPF Configuration","url":"g_sample_config.html","children":[{"title":"Sample Configuration","url":"r_sample-config.html","description":"The following is only a sample configuration file provided solely for your reference. You must create and modify your own configuration file according to the specific needs of your deployment. ----- "}]}]}]